<html>
<head>
<title>OGRE: Ogre::ZipArchiveFactory Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ZipArchiveFactory.html">ZipArchiveFactory</a></div>
<h1>Ogre::ZipArchiveFactory Class Reference</h1><!-- doxytag: class="Ogre::ZipArchiveFactory" --><!-- doxytag: inherits="Ogre::ArchiveFactory" -->Specialisation of <a class="el" href="classOgre_1_1ArchiveFactory.html" title="Abstract factory class, archive codec plugins can register concrete subclasses of...">ArchiveFactory</a> for Zip files.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreZip_8h-source.html">OgreZip.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::ZipArchiveFactory:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1ZipArchiveFactory-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipArchiveFactory.html#b1151aa6471ec8ff2be0f6555be51c8a">~ZipArchiveFactory</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipArchiveFactory.html#109a6253d0f18523e11520d150ef37fc">getType</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the factory type. <p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>The factory type. </dd></dl>
  <a href="#109a6253d0f18523e11520d150ef37fc"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Archive.html">Archive</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipArchiveFactory.html#6cb4d739190da43608bcf7139c103e75">createInstance</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Creates a new object. <p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>name</em>&nbsp;</td><td>Name of the object to create </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>An object created by the factory. The type of the object depends on the factory. </dd></dl>
  <a href="#6cb4d739190da43608bcf7139c103e75"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipArchiveFactory.html#78ccbf84f63fd51ef681bbbeacb383bd">destroyInstance</a> (<a class="el" href="classOgre_1_1Archive.html">Archive</a> *arch)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Destroys an object which was created by this factory. <p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>ptr</em>&nbsp;</td><td>Pointer to the object to destroy </td></tr>
  </table>
</dl>
  <a href="#78ccbf84f63fd51ef681bbbeacb383bd"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FactoryObj.html#2cd5033cddd1a06f24cd02de9a0e9516">destroyInstance</a> (T *)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Destroys an object which was created by this factory.  <a href="#2cd5033cddd1a06f24cd02de9a0e9516"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Specialisation of <a class="el" href="classOgre_1_1ArchiveFactory.html" title="Abstract factory class, archive codec plugins can register concrete subclasses of...">ArchiveFactory</a> for Zip files. 
<p>

<p>Definition at line <a class="el" href="OgreZip_8h-source.html#l00091">91</a> of file <a class="el" href="OgreZip_8h-source.html">OgreZip.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="b1151aa6471ec8ff2be0f6555be51c8a"></a><!-- doxytag: member="Ogre::ZipArchiveFactory::~ZipArchiveFactory" ref="b1151aa6471ec8ff2be0f6555be51c8a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::ZipArchiveFactory::~ZipArchiveFactory           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreZip_8h-source.html#l00094">94</a> of file <a class="el" href="OgreZip_8h-source.html">OgreZip.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="109a6253d0f18523e11520d150ef37fc"></a><!-- doxytag: member="Ogre::ZipArchiveFactory::getType" ref="109a6253d0f18523e11520d150ef37fc" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::ZipArchiveFactory::getType           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the factory type. <p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>The factory type. </dd></dl>
 
<p>

<p>Implements <a class="el" href="classOgre_1_1FactoryObj.html#3d8aef92fb9e0eac7ed41167fb686a10">Ogre::FactoryObj&lt; T &gt;</a>.</p>

</div>
</div><p>
<a class="anchor" name="6cb4d739190da43608bcf7139c103e75"></a><!-- doxytag: member="Ogre::ZipArchiveFactory::createInstance" ref="6cb4d739190da43608bcf7139c103e75" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Archive.html">Archive</a>* Ogre::ZipArchiveFactory::createInstance           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Creates a new object. <p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>name</em>&nbsp;</td><td>Name of the object to create </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>An object created by the factory. The type of the object depends on the factory. </dd></dl>
 
<p>

<p>Implements <a class="el" href="classOgre_1_1FactoryObj.html#0a4a382d89b01a0c24e27b02af71153a">Ogre::FactoryObj&lt; T &gt;</a>.</p>

<p>Definition at line <a class="el" href="OgreZip_8h-source.html#l00098">98</a> of file <a class="el" href="OgreZip_8h-source.html">OgreZip.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="78ccbf84f63fd51ef681bbbeacb383bd"></a><!-- doxytag: member="Ogre::ZipArchiveFactory::destroyInstance" ref="78ccbf84f63fd51ef681bbbeacb383bd" args="(Archive *arch)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ZipArchiveFactory::destroyInstance           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Archive.html">Archive</a> *&nbsp;</td>
          <td class="paramname"> <em>arch</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Destroys an object which was created by this factory. <p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>ptr</em>&nbsp;</td><td>Pointer to the object to destroy </td></tr>
  </table>
</dl>
 
<p>

<p>Definition at line <a class="el" href="OgreZip_8h-source.html#l00103">103</a> of file <a class="el" href="OgreZip_8h-source.html">OgreZip.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2cd5033cddd1a06f24cd02de9a0e9516"></a><!-- doxytag: member="Ogre::ZipArchiveFactory::destroyInstance" ref="2cd5033cddd1a06f24cd02de9a0e9516" args="(T *)=0" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1FactoryObj.html">Ogre::FactoryObj</a>&lt; T &gt;::destroyInstance           </td>
          <td>(</td>
          <td class="paramtype">T *&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Destroys an object which was created by this factory. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>ptr</em>&nbsp;</td><td>Pointer to the object to destroy </td></tr>
  </table>
</dl>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreZip_8h-source.html">OgreZip.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:55:20 2008
</p>
</body>
</html>
